import { EventEmitter } from '@angular/core';
import { User } from '@cleavelandprice/ngx-lib/active-directory';
import { AbstractAuthenticationService, AuthenticatedUser } from '@cleavelandprice/ngx-lib/authentication';
import * as i0 from "@angular/core";
export declare class AuthenticationService implements AbstractAuthenticationService {
    private config;
    private http;
    authenticatedChanged: EventEmitter<boolean>;
    authenticatingChanged: EventEmitter<boolean>;
    authenticationError: EventEmitter<any>;
    authenticating: boolean;
    authenticated: boolean;
    authenticatedUser?: AuthenticatedUser;
    get useSessionStorage(): boolean;
    get storage(): Storage;
    constructor();
    login(username: string, password: string, adminGroup?: string, additionalInfo?: string): void;
    logout(): void;
    validateUser(token: User): void;
    checkForExistingToken(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthenticationService>;
}
