import { Observable } from 'rxjs';
import { AppPathConfig } from '../model/app-path-config';
import * as i0 from "@angular/core";
export declare class AppPathConfigService {
    #private;
    private config;
    private http;
    getAll(): Observable<AppPathConfig[]>;
    getById(id: number): Observable<AppPathConfig>;
    getByAppId(id: number): Observable<AppPathConfig[]>;
    getByApp(name: string): Observable<AppPathConfig[]>;
    getByAppTypeId(id: number): Observable<AppPathConfig[]>;
    getByAppType(name: string): Observable<AppPathConfig[]>;
    getByAppFunction(name: string): Observable<AppPathConfig[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppPathConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AppPathConfigService>;
}
