import { Observable } from 'rxjs';
import { ListItem } from '../model/list-item';
import { ListItemsRequest } from '../model/list-items-request';
import { PhotoItem } from '../model/photo-item';
import { User } from '../model/user';
import { UserRequest } from '../model/user-request';
import * as i0 from "@angular/core";
export declare class SharePointService {
    private config;
    private http;
    private cache;
    private defaultCacheLifeMinutes;
    private cacheExpired;
    constructor();
    private configureCaching;
    private configureLogging;
    getListItems(request: ListItemsRequest): Observable<ListItem[]>;
    getPhotos(): Observable<PhotoItem[]>;
    getUsers(request: UserRequest, id?: number): Observable<User | User[]>;
    clearCache(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SharePointService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SharePointService>;
}
