import { ElementRef, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { UploadService } from './../../services/upload.service';
import * as i0 from "@angular/core";
export declare class UploadDialogComponent implements OnInit {
    dialogRef: MatDialogRef<any, any>;
    uploadService: UploadService;
    file: ElementRef;
    files: Set<File>;
    existingFileConflict?: string;
    progress: any;
    canBeClosed: boolean;
    primaryButtonText?: string;
    showCancelButton: boolean;
    uploading: boolean;
    uploadSuccessful: boolean;
    ngOnInit(): void;
    addFiles(): void;
    onFilesAdded(): void;
    closeDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadDialogComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
