import { OnDestroy, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { Subscription } from 'rxjs';
import { AuthenticationService } from '../../services/authentication.service';
import * as i0 from "@angular/core";
export declare class LoginFormComponent implements OnInit, OnDestroy {
    #private;
    dialogRef: MatDialogRef<any, any>;
    authenticationService: AuthenticationService;
    errorMessage?: string;
    authenticatedChangedSubscription: Subscription;
    authenticationErrorSubscription: Subscription;
    form: FormGroup<{
        username: FormControl<null>;
        password: FormControl<null>;
        adminGroup: FormControl<any>;
        additionalInfo: FormControl<any>;
    }>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    authenticate(): void;
    private authChangedHandler;
    private errorHandler;
    changeTokenStorageMode(checked: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginFormComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
